Skip to main content
GET
/
plans
/
{id}
Find a plan
curl --request GET \
  --url https://sandbox-api.paynext.com/plans/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "price_1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
  "interval": "days",
  "interval_count": 1,
  "name": "Pro Plan",
  "price": {
    "countries": [
      {
        "countries": [
          "AD"
        ],
        "price": {
          "amount": 1999,
          "currency": "AED"
        }
      }
    ],
    "default": {
      "amount": 1999,
      "currency": "AED"
    }
  },
  "tax": {
    "collect_tax": "<unknown>"
  },
  "trial_interval": "days",
  "trial_interval_count": 14,
  "trial_price": {
    "countries": [
      {
        "countries": [
          "AD"
        ],
        "price": {
          "amount": 1999,
          "currency": "AED"
        }
      }
    ],
    "default": {
      "amount": 1999,
      "currency": "AED"
    }
  },
  "type": "recurring",
  "updated_at": "2025-05-27T10:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.paynext.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication header of the form api key, where api key is your organization api key.

Headers

X-API-Version
enum<string>

Specifies the version of the API to use

Available options:
1.0.0

Path Parameters

id
string
required

The ID of the plan to find

Response

OK

id
string

Unique identifier for the plan

Example:

"price_1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"

interval
enum<string>

Type of the billing period

Available options:
days,
months,
years
interval_count
integer

Number of billing periods per cycle

Example:

1

name
string

Display name of the plan

Example:

"Pro Plan"

price
object

Pricing details for the plan

tax
object

Taxes information

trial_interval
enum<string>

Type of trial period

Available options:
days,
months,
years
trial_interval_count
integer

Length of the trial period

Example:

14

trial_price
object

Trial pricing details

type
enum<string>

Type of the plan

Available options:
recurring,
one-off
Example:

"recurring"

updated_at
string

The date and time of the last plan update in UTC format

Example:

"2025-05-27T10:00:00Z"